%define rname url
%define version 2001.11.08
%define release 2mdk
%define url ftp://ftp.free.fr/pub/Distributions_Linux/Debian/pool/main/w/w3-url-e21
%define e21_version 21.1

%define name emacs-%{rname}

Summary: URL library for use by emacs-w3
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{url}/%{rname}-%{version}.tar.bz2
Source1: %{name}-autostart.el
License: GPL
Group: Networking/WWW
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: emacs >= %{e21_version}
BuildRequires: emacs >= %{e21_version}
Url: http://www.cs.indiana.edu/elisp/w3/

%description
This library for manipulation of URLs was broken out of w3-el
sometime before the release of Emacs 21.

%package el
Summary: URL library for use by emacs-w3
Group: Editors
Requires: %{name} = %version-%release
Url: http://www.cs.indiana.edu/elisp/w3/

%description el
This library for manipulation of URLs was broken out of w3-el
sometime before the release of Emacs 21.

This is the elisp source of %{name}.

%prep
%setup -q -n %{rname}

%build
./configure								\
	--cache-file=/dev/null						\
	--with-emacs=emacs						\
	--with-lispdir=/usr/share/emacs/site-lisp/url	\
	--with-gnus=/usr/share/emacs/%{e21_version}/lisp/gnus
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/url/
install -m644 lisp/*el* $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/url/
mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d/
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/emacs/site-start.d/%{rname}.el

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%config(noreplace) /etc/emacs/site-start.d/*el
%dir %attr(0755, root, root) /usr/share/emacs/site-lisp/url/
/usr/share/emacs/site-lisp/url/*elc

%files el
%defattr(-,root,root)
%doc TODO
/usr/share/emacs/site-lisp/url/*el

%changelog
* Tue Dec 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001.11.08-2mdk
- Remove xemacs conflicts.

* Tue Nov 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001.11.08-1mdk
- First version.

# end of file
